#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c1,c2;
    int a1,a2,i;
    scanf(" %c%c",&c1,&c2);
    //printf("%c%c",c1,c2);//
    //printf("\n%c",c2);
    scanf("%d %d",&a1,&a2);
    if(a1==a2)
        for(i=0;i<a1;printf("%c%c",c1,c2),i++);
        else{
            if(a1==a2-1){
                printf("%c",c2);
                for(i=0;i<a1;printf("%c%c",c1,c2),i++);}
                else
                if(a2==a1-1){
                    printf("%c",c1);
                    for(i=0;i<a1;printf("%c%c",c2,c1),i++);}
                    else
                        printf("nemoguce");
                }

    return 0;
}